View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/ppp
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/ubuntu/dsc 2019-09-05 12:29:01 UTC 2019-09-05
DSC file for 2.4.7-2+4.1ubuntu3

Author: Ubuntu Git Importer
Author Date: 2019-09-05 12:29:01 UTC

DSC file for 2.4.7-2+4.1ubuntu3

ubuntu/eoan 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-2+4.1ubuntu3 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:06:52 UTC

Import patches-unapplied version 2.4.7-2+4.1ubuntu3 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 1d7d0b4fd1299b6c22c14200a1efab7a1f2655e5

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/eoan-devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-2+4.1ubuntu3 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:06:52 UTC

Import patches-unapplied version 2.4.7-2+4.1ubuntu3 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 1d7d0b4fd1299b6c22c14200a1efab7a1f2655e5

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-2+4.1ubuntu3 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:06:52 UTC

Import patches-unapplied version 2.4.7-2+4.1ubuntu3 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 1d7d0b4fd1299b6c22c14200a1efab7a1f2655e5

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-2+4.1ubuntu3 to applied/ubuntu/eoan-prop...

Author: Matthias Klose
Author Date: 2019-09-05 11:06:52 UTC

Import patches-applied version 2.4.7-2+4.1ubuntu3 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: d00ecad73138380430457555b67f74f395201aff
Unapplied parent: 18210522ea45a546a00af36a1fa553017580f3ef

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/eoan-proposed 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-2+4.1ubuntu3 to applied/ubuntu/eoan-prop...

Author: Matthias Klose
Author Date: 2019-09-05 11:06:52 UTC

Import patches-applied version 2.4.7-2+4.1ubuntu3 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: d00ecad73138380430457555b67f74f395201aff
Unapplied parent: 18210522ea45a546a00af36a1fa553017580f3ef

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/eoan 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-2+4.1ubuntu3 to applied/ubuntu/eoan-prop...

Author: Matthias Klose
Author Date: 2019-09-05 11:06:52 UTC

Import patches-applied version 2.4.7-2+4.1ubuntu3 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: d00ecad73138380430457555b67f74f395201aff
Unapplied parent: 18210522ea45a546a00af36a1fa553017580f3ef

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/eoan-devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-2+4.1ubuntu3 to applied/ubuntu/eoan-prop...

Author: Matthias Klose
Author Date: 2019-09-05 11:06:52 UTC

Import patches-applied version 2.4.7-2+4.1ubuntu3 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: d00ecad73138380430457555b67f74f395201aff
Unapplied parent: 18210522ea45a546a00af36a1fa553017580f3ef

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/eoan-proposed 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-2+4.1ubuntu3 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:06:52 UTC

Import patches-unapplied version 2.4.7-2+4.1ubuntu3 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 1d7d0b4fd1299b6c22c14200a1efab7a1f2655e5

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/disco-proposed 2019-03-15 12:33:18 UTC 2019-03-15
Import patches-applied version 2.4.7-2+4.1ubuntu1 to applied/ubuntu/disco-pro...

Author: Gianfranco Costamagna
Author Date: 2019-03-15 12:18:08 UTC

Import patches-applied version 2.4.7-2+4.1ubuntu1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: fbbed85f6e26b6c05f26734a4e340b491267fe6a
Unapplied parent: 5c4009f743fb93faab354b34ae3daba73bca087e

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.

ubuntu/disco-proposed 2019-03-15 12:33:18 UTC 2019-03-15
Import patches-unapplied version 2.4.7-2+4.1ubuntu1 to ubuntu/disco-proposed

Author: Gianfranco Costamagna
Author Date: 2019-03-15 12:18:08 UTC

Import patches-unapplied version 2.4.7-2+4.1ubuntu1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 63a2596b5a4737cf8c421271787cf128e964ab53

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.

ubuntu/disco-devel 2019-03-15 12:33:18 UTC 2019-03-15
Import patches-unapplied version 2.4.7-2+4.1ubuntu1 to ubuntu/disco-proposed

Author: Gianfranco Costamagna
Author Date: 2019-03-15 12:18:08 UTC

Import patches-unapplied version 2.4.7-2+4.1ubuntu1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 63a2596b5a4737cf8c421271787cf128e964ab53

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.

ubuntu/disco 2019-03-15 12:33:18 UTC 2019-03-15
Import patches-unapplied version 2.4.7-2+4.1ubuntu1 to ubuntu/disco-proposed

Author: Gianfranco Costamagna
Author Date: 2019-03-15 12:18:08 UTC

Import patches-unapplied version 2.4.7-2+4.1ubuntu1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 63a2596b5a4737cf8c421271787cf128e964ab53

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.

applied/ubuntu/disco 2019-03-15 12:33:18 UTC 2019-03-15
Import patches-applied version 2.4.7-2+4.1ubuntu1 to applied/ubuntu/disco-pro...

Author: Gianfranco Costamagna
Author Date: 2019-03-15 12:18:08 UTC

Import patches-applied version 2.4.7-2+4.1ubuntu1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: fbbed85f6e26b6c05f26734a4e340b491267fe6a
Unapplied parent: 5c4009f743fb93faab354b34ae3daba73bca087e

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.

applied/ubuntu/disco-devel 2019-03-15 12:33:18 UTC 2019-03-15
Import patches-applied version 2.4.7-2+4.1ubuntu1 to applied/ubuntu/disco-pro...

Author: Gianfranco Costamagna
Author Date: 2019-03-15 12:18:08 UTC

Import patches-applied version 2.4.7-2+4.1ubuntu1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: fbbed85f6e26b6c05f26734a4e340b491267fe6a
Unapplied parent: 5c4009f743fb93faab354b34ae3daba73bca087e

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.

importer/debian/dsc 2019-03-14 22:56:06 UTC 2019-03-14
DSC file for 2.4.7-2+4.1

Author: Ubuntu Git Importer
Author Date: 2019-03-14 22:56:06 UTC

DSC file for 2.4.7-2+4.1

debian/sid 2019-03-14 22:38:22 UTC 2019-03-14
Import patches-unapplied version 2.4.7-2+4.1 to debian/sid

Author: lamby
Author Date: 2019-03-09 14:48:25 UTC

Import patches-unapplied version 2.4.7-2+4.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ac85aa0836c5fe2350812d9fd947ba35674d117c

New changelog entries:
  * Non-maintainer upload.
  * Apply upstream patch from
    <https://github.com/paulusmack/ppp/commit/3c7b86229f7bd2600d74db14b1fe5b3896be3875>
    to fix FTBFS with glibc 2.28. (Closes: #916163)

applied/debian/buster 2019-03-14 22:38:22 UTC 2019-03-14
Import patches-applied version 2.4.7-2+4.1 to applied/debian/sid

Author: lamby
Author Date: 2019-03-09 14:48:25 UTC

Import patches-applied version 2.4.7-2+4.1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 62afd49f9ff1c36e4957235fd8abdb8f23cc64b7
Unapplied parent: 09bbeb2c131c4121e13bc6cfdf24d1106730f9ca

New changelog entries:
  * Non-maintainer upload.
  * Apply upstream patch from
    <https://github.com/paulusmack/ppp/commit/3c7b86229f7bd2600d74db14b1fe5b3896be3875>
    to fix FTBFS with glibc 2.28. (Closes: #916163)

applied/debian/sid 2019-03-14 22:38:22 UTC 2019-03-14
Import patches-applied version 2.4.7-2+4.1 to applied/debian/sid

Author: lamby
Author Date: 2019-03-09 14:48:25 UTC

Import patches-applied version 2.4.7-2+4.1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 62afd49f9ff1c36e4957235fd8abdb8f23cc64b7
Unapplied parent: 09bbeb2c131c4121e13bc6cfdf24d1106730f9ca

New changelog entries:
  * Non-maintainer upload.
  * Apply upstream patch from
    <https://github.com/paulusmack/ppp/commit/3c7b86229f7bd2600d74db14b1fe5b3896be3875>
    to fix FTBFS with glibc 2.28. (Closes: #916163)

debian/buster 2019-03-14 22:38:22 UTC 2019-03-14
Import patches-unapplied version 2.4.7-2+4.1 to debian/sid

Author: lamby
Author Date: 2019-03-09 14:48:25 UTC

Import patches-unapplied version 2.4.7-2+4.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ac85aa0836c5fe2350812d9fd947ba35674d117c

New changelog entries:
  * Non-maintainer upload.
  * Apply upstream patch from
    <https://github.com/paulusmack/ppp/commit/3c7b86229f7bd2600d74db14b1fe5b3896be3875>
    to fix FTBFS with glibc 2.28. (Closes: #916163)

ubuntu/bionic-security 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.7-2+2ubuntu1.1 to ubuntu/bionic-security

Author: Marc Deslauriers
Author Date: 2018-06-12 17:20:17 UTC

Import patches-unapplied version 2.4.7-2+2ubuntu1.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 7b1fb5239cb16fcb1ff83ad4622f761e2aba2168

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/xenial-security 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.7-1+2ubuntu1.16.04.1 to applied/ubuntu/xen...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:28:33 UTC

Import patches-applied version 2.4.7-1+2ubuntu1.16.04.1 to applied/ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: e543eb4d1a0f70930488b78e7da88456ec69c2a8
Unapplied parent: 7494a9daff19b3a8adf78afd713d93b8b6673bd8

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/xenial-devel 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.7-1+2ubuntu1.16.04.1 to applied/ubuntu/xen...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:28:33 UTC

Import patches-applied version 2.4.7-1+2ubuntu1.16.04.1 to applied/ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: e543eb4d1a0f70930488b78e7da88456ec69c2a8
Unapplied parent: 7494a9daff19b3a8adf78afd713d93b8b6673bd8

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/xenial-updates 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.7-1+2ubuntu1.16.04.1 to applied/ubuntu/xen...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:28:33 UTC

Import patches-applied version 2.4.7-1+2ubuntu1.16.04.1 to applied/ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: e543eb4d1a0f70930488b78e7da88456ec69c2a8
Unapplied parent: 7494a9daff19b3a8adf78afd713d93b8b6673bd8

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/bionic-devel 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.7-2+2ubuntu1.1 to applied/ubuntu/bionic-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:20:17 UTC

Import patches-applied version 2.4.7-2+2ubuntu1.1 to applied/ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: e838a41d9c40d866bc7f03a818c6dc7687c05fb6
Unapplied parent: 73895ac5c9cd24e3c08c33f6006e3f1528b383e8

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/bionic-security 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.7-2+2ubuntu1.1 to applied/ubuntu/bionic-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:20:17 UTC

Import patches-applied version 2.4.7-2+2ubuntu1.1 to applied/ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: e838a41d9c40d866bc7f03a818c6dc7687c05fb6
Unapplied parent: 73895ac5c9cd24e3c08c33f6006e3f1528b383e8

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/bionic-updates 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.7-2+2ubuntu1.1 to applied/ubuntu/bionic-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:20:17 UTC

Import patches-applied version 2.4.7-2+2ubuntu1.1 to applied/ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: e838a41d9c40d866bc7f03a818c6dc7687c05fb6
Unapplied parent: 73895ac5c9cd24e3c08c33f6006e3f1528b383e8

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/trusty-updates 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.5-5.1ubuntu2.3 to applied/ubuntu/trusty-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:34:15 UTC

Import patches-applied version 2.4.5-5.1ubuntu2.3 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 29615795464e629bfb46eb7bd2f033caadcb71ae
Unapplied parent: 5014f7ba9d09acb0582a77d11fd0e9b1c52c003c

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/trusty-security 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.5-5.1ubuntu2.3 to applied/ubuntu/trusty-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:34:15 UTC

Import patches-applied version 2.4.5-5.1ubuntu2.3 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 29615795464e629bfb46eb7bd2f033caadcb71ae
Unapplied parent: 5014f7ba9d09acb0582a77d11fd0e9b1c52c003c

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/xenial-updates 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.7-1+2ubuntu1.16.04.1 to ubuntu/xenial-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:28:33 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1.16.04.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: a0fb89b5e85bef046823598f3c2732226682c89c

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/xenial-security 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.7-1+2ubuntu1.16.04.1 to ubuntu/xenial-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:28:33 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1.16.04.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: a0fb89b5e85bef046823598f3c2732226682c89c

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

applied/ubuntu/trusty-devel 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-applied version 2.4.5-5.1ubuntu2.3 to applied/ubuntu/trusty-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:34:15 UTC

Import patches-applied version 2.4.5-5.1ubuntu2.3 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 29615795464e629bfb46eb7bd2f033caadcb71ae
Unapplied parent: 5014f7ba9d09acb0582a77d11fd0e9b1c52c003c

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/xenial-devel 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.7-1+2ubuntu1.16.04.1 to ubuntu/xenial-se...

Author: Marc Deslauriers
Author Date: 2018-06-12 17:28:33 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1.16.04.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: a0fb89b5e85bef046823598f3c2732226682c89c

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/bionic-devel 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.7-2+2ubuntu1.1 to ubuntu/bionic-security

Author: Marc Deslauriers
Author Date: 2018-06-12 17:20:17 UTC

Import patches-unapplied version 2.4.7-2+2ubuntu1.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 7b1fb5239cb16fcb1ff83ad4622f761e2aba2168

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/trusty-updates 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.5-5.1ubuntu2.3 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2018-06-12 17:34:15 UTC

Import patches-unapplied version 2.4.5-5.1ubuntu2.3 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: d72b1b0afe24fcbaf083e062c6484ad5c22d8407

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/trusty-security 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.5-5.1ubuntu2.3 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2018-06-12 17:34:15 UTC

Import patches-unapplied version 2.4.5-5.1ubuntu2.3 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: d72b1b0afe24fcbaf083e062c6484ad5c22d8407

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/trusty-devel 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.5-5.1ubuntu2.3 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2018-06-12 17:34:15 UTC

Import patches-unapplied version 2.4.5-5.1ubuntu2.3 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: d72b1b0afe24fcbaf083e062c6484ad5c22d8407

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/bionic-updates 2018-11-06 16:23:20 UTC 2018-11-06
Import patches-unapplied version 2.4.7-2+2ubuntu1.1 to ubuntu/bionic-security

Author: Marc Deslauriers
Author Date: 2018-06-12 17:20:17 UTC

Import patches-unapplied version 2.4.7-2+2ubuntu1.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 7b1fb5239cb16fcb1ff83ad4622f761e2aba2168

New changelog entries:
  * SECURITY UPDATE: buffer overflow in pppd EAP-TLS implementation
    - debian/patches/CVE-2018-11574.patch: check lengths in pppd/eap.c,
      pppd/eap-tls.c.
    - CVE-2018-11574

ubuntu/cosmic-devel 2018-06-13 12:08:17 UTC 2018-06-13
Import patches-unapplied version 2.4.7-2+3ubuntu1 to ubuntu/cosmic-proposed

Author: Gianfranco Costamagna
Author Date: 2018-06-13 12:01:31 UTC

Import patches-unapplied version 2.4.7-2+3ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 79626324b8b50e62b5dea64431706c59f263b216

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
  * debian/ppp.symbols: updated for Ubuntu.
  * Drop preinst change.

ubuntu/cosmic 2018-06-13 12:08:17 UTC 2018-06-13
Import patches-unapplied version 2.4.7-2+3ubuntu1 to ubuntu/cosmic-proposed

Author: Gianfranco Costamagna
Author Date: 2018-06-13 12:01:31 UTC

Import patches-unapplied version 2.4.7-2+3ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 79626324b8b50e62b5dea64431706c59f263b216

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
  * debian/ppp.symbols: updated for Ubuntu.
  * Drop preinst change.

applied/ubuntu/cosmic 2018-06-13 12:08:17 UTC 2018-06-13
Import patches-applied version 2.4.7-2+3ubuntu1 to applied/ubuntu/cosmic-prop...

Author: Gianfranco Costamagna
Author Date: 2018-06-13 12:01:31 UTC

Import patches-applied version 2.4.7-2+3ubuntu1 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 5745878f145842bd790055625ab58937bdc1afe9
Unapplied parent: fd8fb9d4dfba5018b1665a2ec5fb1a6b47edb478

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
  * debian/ppp.symbols: updated for Ubuntu.
  * Drop preinst change.

applied/ubuntu/cosmic-devel 2018-06-13 12:08:17 UTC 2018-06-13
Import patches-applied version 2.4.7-2+3ubuntu1 to applied/ubuntu/cosmic-prop...

Author: Gianfranco Costamagna
Author Date: 2018-06-13 12:01:31 UTC

Import patches-applied version 2.4.7-2+3ubuntu1 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 5745878f145842bd790055625ab58937bdc1afe9
Unapplied parent: fd8fb9d4dfba5018b1665a2ec5fb1a6b47edb478

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
  * debian/ppp.symbols: updated for Ubuntu.
  * Drop preinst change.

applied/ubuntu/cosmic-proposed 2018-06-13 12:08:17 UTC 2018-06-13
Import patches-applied version 2.4.7-2+3ubuntu1 to applied/ubuntu/cosmic-prop...

Author: Gianfranco Costamagna
Author Date: 2018-06-13 12:01:31 UTC

Import patches-applied version 2.4.7-2+3ubuntu1 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 5745878f145842bd790055625ab58937bdc1afe9
Unapplied parent: fd8fb9d4dfba5018b1665a2ec5fb1a6b47edb478

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
  * debian/ppp.symbols: updated for Ubuntu.
  * Drop preinst change.

ubuntu/cosmic-proposed 2018-06-13 12:08:17 UTC 2018-06-13
Import patches-unapplied version 2.4.7-2+3ubuntu1 to ubuntu/cosmic-proposed

Author: Gianfranco Costamagna
Author Date: 2018-06-13 12:01:31 UTC

Import patches-unapplied version 2.4.7-2+3ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 79626324b8b50e62b5dea64431706c59f263b216

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
  * debian/ppp.symbols: updated for Ubuntu.
  * Drop preinst change.

importer/ubuntu/pristine-tar 2018-03-06 09:12:52 UTC 2018-03-06
pristine-tar data for ppp_2.4.7.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-03-06 09:12:52 UTC

pristine-tar data for ppp_2.4.7.orig.tar.gz

importer/debian/pristine-tar 2018-03-06 08:58:21 UTC 2018-03-06
pristine-tar data for ppp_2.4.7.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-03-06 08:58:21 UTC

pristine-tar data for ppp_2.4.7.orig.tar.gz

applied/ubuntu/bionic-proposed 2018-03-03 19:48:21 UTC 2018-03-03
Import patches-applied version 2.4.7-2+2ubuntu1 to applied/ubuntu/bionic-prop...

Author: Gianfranco Costamagna
Author Date: 2018-03-03 19:37:19 UTC

Import patches-applied version 2.4.7-2+2ubuntu1 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: b718b663573b49bac2b86ae06929b5bd311fb20b
Unapplied parent: 20aa03ea20e3fd64819f5575cc20e46987417dc3

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols: updated for Ubuntu.

applied/ubuntu/bionic 2018-03-03 19:48:21 UTC 2018-03-03
Import patches-applied version 2.4.7-2+2ubuntu1 to applied/ubuntu/bionic-prop...

Author: Gianfranco Costamagna
Author Date: 2018-03-03 19:37:19 UTC

Import patches-applied version 2.4.7-2+2ubuntu1 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: b718b663573b49bac2b86ae06929b5bd311fb20b
Unapplied parent: 20aa03ea20e3fd64819f5575cc20e46987417dc3

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols: updated for Ubuntu.

ubuntu/bionic 2018-03-03 19:48:21 UTC 2018-03-03
Import patches-unapplied version 2.4.7-2+2ubuntu1 to ubuntu/bionic-proposed

Author: Gianfranco Costamagna
Author Date: 2018-03-03 19:37:19 UTC

Import patches-unapplied version 2.4.7-2+2ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 18e721210fe3f91935615c2240d5366b9ea211ef

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols: updated for Ubuntu.

ubuntu/bionic-proposed 2018-03-03 19:48:21 UTC 2018-03-03
Import patches-unapplied version 2.4.7-2+2ubuntu1 to ubuntu/bionic-proposed

Author: Gianfranco Costamagna
Author Date: 2018-03-03 19:37:19 UTC

Import patches-unapplied version 2.4.7-2+2ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 18e721210fe3f91935615c2240d5366b9ea211ef

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols: updated for Ubuntu.

applied/debian/experimental 2018-02-12 04:28:46 UTC 2018-02-12
Import patches-applied version 2.4.7-2+1~exp1 to applied/debian/experimental

Author: Chris Boot
Author Date: 2018-02-11 19:17:06 UTC

Import patches-applied version 2.4.7-2+1~exp1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: d494b05e9f23db466cb3220bfa244297031af416
Unapplied parent: cecece90d381bcc1992678778d51c0abccaea991

New changelog entries:
  * Switch to debhelper compat level 11.
    - Set debian/compat to 11.
    - Bump Build-Depends on debhelper to >= 11~.
    - Remove Build-Depends on dh-systemd.
    - Remove implicit --with systemd from debian/rules.
    - Switch to dh_installsystemd helper.
  * Update Standards-Version to 4.1.3:
    - Remove Priority extra from ppp-dev.
  * debian/rules: use dpkg helpers for parsing debian/changelog.
  * Incorporate the EAP-TLS patch for pppd: (Closes: #602503)
    - debian/patches/eaptls-mppe.patch: add ppp-2.4.7-eaptls-mppe-0.999.patch.
    - debian/control: add libssl-dev to Build-Depends.
    - debian/changelog: bump the ABI revision number to account for removed
      symbols (MD5 now comes from OpenSSL).
    - debian/rules: don't include EAP-TLS support in the udeb build.
  * debian/changelog: remove trailing whitepace.
  * Switch to OpenSSL implementations of MD4, MD5 and SHA1: (Closes: #826625)
    - debian/patches/replace-vendored-hash-functions.patch: remove embedded
      crypto code copies, unconditionally link with libcrypto, update
      includes, amend call sites as required.
    - debian/ppp.symbols: remove dropped symbols.
  * Import patches added to upstream Git since the 2.4.7 upstream release,
    correcting numerous minor bugs. Of note:
    - 0002-pppd-add-support-for-defaultroute-metric-option.patch: this patch
      is NOT currently applied due to conflicts with the cifdefroute.dif
      patch, which adds the replacedefaultroute and noreplacedefaultroute
      options.
    - 0013-pppd-allow-use-of-arbitrary-interface-names.patch: upstream import
      of our ppp-2.4.2-ifname.diff patch.
    - 0016-pppoe-include-netinet-in.h-before-linux-in.h.patch: upstream patch
      that replaces our fix-rp-pppoe-ftbfs.patch.
    - Refreshed 018_ip-up_option.diff and makefiles_cleanup on top of the new
      patches.
  * Tweak pon and poff bash-completions files for new versions of
    bash-completion. (Closes: #882199)
  * debian/ppp-udeb.postinst: consider interface names using udev predictable
    interface naming. (Closes: #873391)
  * d/control: declare that the build requires root.
  * Move packaging from Alioth to Salsa.
  * Upload to experimental.

debian/experimental 2018-02-12 04:28:46 UTC 2018-02-12
Import patches-unapplied version 2.4.7-2+1~exp1 to debian/experimental

Author: Chris Boot
Author Date: 2018-02-11 19:17:06 UTC

Import patches-unapplied version 2.4.7-2+1~exp1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 2879b05110baa6f4546475736df5672bc60d129f

New changelog entries:
  * Switch to debhelper compat level 11.
    - Set debian/compat to 11.
    - Bump Build-Depends on debhelper to >= 11~.
    - Remove Build-Depends on dh-systemd.
    - Remove implicit --with systemd from debian/rules.
    - Switch to dh_installsystemd helper.
  * Update Standards-Version to 4.1.3:
    - Remove Priority extra from ppp-dev.
  * debian/rules: use dpkg helpers for parsing debian/changelog.
  * Incorporate the EAP-TLS patch for pppd: (Closes: #602503)
    - debian/patches/eaptls-mppe.patch: add ppp-2.4.7-eaptls-mppe-0.999.patch.
    - debian/control: add libssl-dev to Build-Depends.
    - debian/changelog: bump the ABI revision number to account for removed
      symbols (MD5 now comes from OpenSSL).
    - debian/rules: don't include EAP-TLS support in the udeb build.
  * debian/changelog: remove trailing whitepace.
  * Switch to OpenSSL implementations of MD4, MD5 and SHA1: (Closes: #826625)
    - debian/patches/replace-vendored-hash-functions.patch: remove embedded
      crypto code copies, unconditionally link with libcrypto, update
      includes, amend call sites as required.
    - debian/ppp.symbols: remove dropped symbols.
  * Import patches added to upstream Git since the 2.4.7 upstream release,
    correcting numerous minor bugs. Of note:
    - 0002-pppd-add-support-for-defaultroute-metric-option.patch: this patch
      is NOT currently applied due to conflicts with the cifdefroute.dif
      patch, which adds the replacedefaultroute and noreplacedefaultroute
      options.
    - 0013-pppd-allow-use-of-arbitrary-interface-names.patch: upstream import
      of our ppp-2.4.2-ifname.diff patch.
    - 0016-pppoe-include-netinet-in.h-before-linux-in.h.patch: upstream patch
      that replaces our fix-rp-pppoe-ftbfs.patch.
    - Refreshed 018_ip-up_option.diff and makefiles_cleanup on top of the new
      patches.
  * Tweak pon and poff bash-completions files for new versions of
    bash-completion. (Closes: #882199)
  * debian/ppp-udeb.postinst: consider interface names using udev predictable
    interface naming. (Closes: #873391)
  * d/control: declare that the build requires root.
  * Move packaging from Alioth to Salsa.
  * Upload to experimental.

debian/stretch 2016-11-11 22:19:36 UTC 2016-11-11
Import patches-unapplied version 2.4.7-1+4 to debian/sid

Author: Chris Boot
Author Date: 2016-11-11 15:03:42 UTC

Import patches-unapplied version 2.4.7-1+4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 41c34f3f82d303a32480fa80308f2be5789ceb37

New changelog entries:
  [ Helmut Grohne ]
  * Mark ppp-dev Multi-Arch: foreign (Closes: #842890)
  [ Chris Boot ]
  * Run wrap-and-sort.
  * ppp: add lsb-base to Depends for pppd-dns init script.
  * Fix FTBFS in rp-pppoe with linux 4.8 headers.

applied/debian/stretch 2016-11-11 22:19:36 UTC 2016-11-11
Import patches-applied version 2.4.7-1+4 to applied/debian/sid

Author: Chris Boot
Author Date: 2016-11-11 15:03:42 UTC

Import patches-applied version 2.4.7-1+4 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 2cd21aa00ee82e7acebe16f07cd67b8e9a395b2d
Unapplied parent: 75ebc94173d400b88a81074e865aa9ef86e1521a

New changelog entries:
  [ Helmut Grohne ]
  * Mark ppp-dev Multi-Arch: foreign (Closes: #842890)
  [ Chris Boot ]
  * Run wrap-and-sort.
  * ppp: add lsb-base to Depends for pppd-dns init script.
  * Fix FTBFS in rp-pppoe with linux 4.8 headers.

applied/ubuntu/yakkety-devel 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-prop...

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 5049d4eab6eeab4e6900cf58b30f531a49f337aa
Unapplied parent: 1731c3767a7fbde2ed19f3a8198f506109d48ff1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

ubuntu/artful-devel 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 2e1e901b31f2adcbc79814b0c99838dfe44eb9e1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

ubuntu/artful 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 2e1e901b31f2adcbc79814b0c99838dfe44eb9e1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

applied/ubuntu/yakkety 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-prop...

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 5049d4eab6eeab4e6900cf58b30f531a49f337aa
Unapplied parent: 1731c3767a7fbde2ed19f3a8198f506109d48ff1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

ubuntu/xenial 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 2e1e901b31f2adcbc79814b0c99838dfe44eb9e1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

ubuntu/xenial-proposed 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 2e1e901b31f2adcbc79814b0c99838dfe44eb9e1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

ubuntu/yakkety 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 2e1e901b31f2adcbc79814b0c99838dfe44eb9e1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

ubuntu/yakkety-devel 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 2e1e901b31f2adcbc79814b0c99838dfe44eb9e1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

applied/ubuntu/artful-devel 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-prop...

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 5049d4eab6eeab4e6900cf58b30f531a49f337aa
Unapplied parent: 1731c3767a7fbde2ed19f3a8198f506109d48ff1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

applied/ubuntu/artful 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-prop...

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 5049d4eab6eeab4e6900cf58b30f531a49f337aa
Unapplied parent: 1731c3767a7fbde2ed19f3a8198f506109d48ff1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

applied/ubuntu/zesty-devel 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-prop...

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 5049d4eab6eeab4e6900cf58b30f531a49f337aa
Unapplied parent: 1731c3767a7fbde2ed19f3a8198f506109d48ff1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

applied/ubuntu/zesty 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-prop...

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 5049d4eab6eeab4e6900cf58b30f531a49f337aa
Unapplied parent: 1731c3767a7fbde2ed19f3a8198f506109d48ff1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

applied/ubuntu/xenial 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-prop...

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 5049d4eab6eeab4e6900cf58b30f531a49f337aa
Unapplied parent: 1731c3767a7fbde2ed19f3a8198f506109d48ff1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

ubuntu/zesty 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 2e1e901b31f2adcbc79814b0c99838dfe44eb9e1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

applied/ubuntu/xenial-proposed 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-prop...

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-applied version 2.4.7-1+2ubuntu1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 5049d4eab6eeab4e6900cf58b30f531a49f337aa
Unapplied parent: 1731c3767a7fbde2ed19f3a8198f506109d48ff1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

ubuntu/zesty-devel 2016-01-29 10:00:14 UTC 2016-01-29
Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Author: Łukasz Zemczak
Author Date: 2016-01-28 09:01:37 UTC

Import patches-unapplied version 2.4.7-1+2ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 2e1e901b31f2adcbc79814b0c99838dfe44eb9e1

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: EAP-TLS/MPPE support
      patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
    - debian/ppp.preinst: deal with the change in LSB headers start runlevels
      of pppd-dns due to dropping our changes (which are no longer necessary
      since resolvconf is installed in most systems and has been for a while);
      this should probably be kept until the next LTS.
  * debian/ppp.symbols:
    - Update the symbols to include changes from our Ubuntu patches.

applied/debian/wheezy 2015-09-05 17:11:24 UTC 2015-09-05
Import patches-applied version 2.4.5-5.1+deb7u2 to applied/debian/wheezy

Author: Sebastien Delafond
Author Date: 2015-04-16 07:37:44 UTC

Import patches-applied version 2.4.5-5.1+deb7u2 to applied/debian/wheezy

Imported using git-ubuntu import.

Changelog parent: 13407a3775a9eec118bf051e2ce517420630f2db
Unapplied parent: 9d06ad05b5ecafc545b0dd6f1c87946268554692

New changelog entries:
  * Non-maintainer upload by the Security Team (thanks to Emanuele Rocca
    for the patch).
  * Fix CVE-2015-3310: buffer overflow which may lead to DoS (Closes:
    #782450).

debian/wheezy 2015-09-05 17:11:24 UTC 2015-09-05
Import patches-unapplied version 2.4.5-5.1+deb7u2 to debian/wheezy

Author: Sebastien Delafond
Author Date: 2015-04-16 07:37:44 UTC

Import patches-unapplied version 2.4.5-5.1+deb7u2 to debian/wheezy

Imported using git-ubuntu import.

Changelog parent: d06f7ab4b472457a471bc65661af846019475b0c

New changelog entries:
  * Non-maintainer upload by the Security Team (thanks to Emanuele Rocca
    for the patch).
  * Fix CVE-2015-3310: buffer overflow which may lead to DoS (Closes:
    #782450).

ubuntu/utopic-security 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-unapplied version 2.4.5-5.1ubuntu3.2 to ubuntu/utopic-security

Author: Marc Deslauriers
Author Date: 2015-04-21 17:00:28 UTC

Import patches-unapplied version 2.4.5-5.1ubuntu3.2 to ubuntu/utopic-security

Imported using git-ubuntu import.

Changelog parent: f430156f1a1b5b3bec78e4c5418afa4a9198c56f

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

applied/ubuntu/utopic-devel 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-applied version 2.4.5-5.1ubuntu3.2 to applied/ubuntu/utopic-se...

Author: Marc Deslauriers
Author Date: 2015-04-21 17:00:28 UTC

Import patches-applied version 2.4.5-5.1ubuntu3.2 to applied/ubuntu/utopic-security

Imported using git-ubuntu import.

Changelog parent: 13822beb61245b990672f45dd2c6ce0d46b7e474
Unapplied parent: 5d9e12b145d40b12664b5b0a4779bad96502a65e

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

ubuntu/precise-security 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-unapplied version 2.4.5-5ubuntu1.2 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2015-04-21 17:04:10 UTC

Import patches-unapplied version 2.4.5-5ubuntu1.2 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 5dd445969d4903c9ff8b53a8dffd26c93d7e326e

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

ubuntu/precise-updates 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-unapplied version 2.4.5-5ubuntu1.2 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2015-04-21 17:04:10 UTC

Import patches-unapplied version 2.4.5-5ubuntu1.2 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 5dd445969d4903c9ff8b53a8dffd26c93d7e326e

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

ubuntu/utopic-devel 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-unapplied version 2.4.5-5.1ubuntu3.2 to ubuntu/utopic-security

Author: Marc Deslauriers
Author Date: 2015-04-21 17:00:28 UTC

Import patches-unapplied version 2.4.5-5.1ubuntu3.2 to ubuntu/utopic-security

Imported using git-ubuntu import.

Changelog parent: f430156f1a1b5b3bec78e4c5418afa4a9198c56f

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

ubuntu/utopic-updates 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-unapplied version 2.4.5-5.1ubuntu3.2 to ubuntu/utopic-security

Author: Marc Deslauriers
Author Date: 2015-04-21 17:00:28 UTC

Import patches-unapplied version 2.4.5-5.1ubuntu3.2 to ubuntu/utopic-security

Imported using git-ubuntu import.

Changelog parent: f430156f1a1b5b3bec78e4c5418afa4a9198c56f

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

applied/ubuntu/precise-devel 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-applied version 2.4.5-5ubuntu1.2 to applied/ubuntu/precise-sec...

Author: Marc Deslauriers
Author Date: 2015-04-21 17:04:10 UTC

Import patches-applied version 2.4.5-5ubuntu1.2 to applied/ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 3c206b4bfb41445b155441ac2df15687538fb236
Unapplied parent: eb0b9013d784400b277e488c0bb6209dab20bad5

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

applied/ubuntu/precise-security 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-applied version 2.4.5-5ubuntu1.2 to applied/ubuntu/precise-sec...

Author: Marc Deslauriers
Author Date: 2015-04-21 17:04:10 UTC

Import patches-applied version 2.4.5-5ubuntu1.2 to applied/ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 3c206b4bfb41445b155441ac2df15687538fb236
Unapplied parent: eb0b9013d784400b277e488c0bb6209dab20bad5

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

applied/ubuntu/precise-updates 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-applied version 2.4.5-5ubuntu1.2 to applied/ubuntu/precise-sec...

Author: Marc Deslauriers
Author Date: 2015-04-21 17:04:10 UTC

Import patches-applied version 2.4.5-5ubuntu1.2 to applied/ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 3c206b4bfb41445b155441ac2df15687538fb236
Unapplied parent: eb0b9013d784400b277e488c0bb6209dab20bad5

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

applied/ubuntu/utopic-security 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-applied version 2.4.5-5.1ubuntu3.2 to applied/ubuntu/utopic-se...

Author: Marc Deslauriers
Author Date: 2015-04-21 17:00:28 UTC

Import patches-applied version 2.4.5-5.1ubuntu3.2 to applied/ubuntu/utopic-security

Imported using git-ubuntu import.

Changelog parent: 13822beb61245b990672f45dd2c6ce0d46b7e474
Unapplied parent: 5d9e12b145d40b12664b5b0a4779bad96502a65e

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

applied/ubuntu/utopic-updates 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-applied version 2.4.5-5.1ubuntu3.2 to applied/ubuntu/utopic-se...

Author: Marc Deslauriers
Author Date: 2015-04-21 17:00:28 UTC

Import patches-applied version 2.4.5-5.1ubuntu3.2 to applied/ubuntu/utopic-security

Imported using git-ubuntu import.

Changelog parent: 13822beb61245b990672f45dd2c6ce0d46b7e474
Unapplied parent: 5d9e12b145d40b12664b5b0a4779bad96502a65e

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

ubuntu/precise-devel 2015-05-05 17:17:30 UTC 2015-05-05
Import patches-unapplied version 2.4.5-5ubuntu1.2 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2015-04-21 17:04:10 UTC

Import patches-unapplied version 2.4.5-5ubuntu1.2 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 5dd445969d4903c9ff8b53a8dffd26c93d7e326e

New changelog entries:
  * SECURITY UPDATE: denial of service via big process id
    - debian/patches/CVE-2015-3310.patch: limit size of process id in
      pppd/plugins/radius/util.c.
    - CVE-2015-3310

applied/ubuntu/vivid-proposed 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 0e7199cfd93f7f95f765bba6708a71b6ae4326d5
Unapplied parent: e7e508907b5a2471ac61f425a03578db5035cb1b

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

applied/ubuntu/vivid-devel 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 0e7199cfd93f7f95f765bba6708a71b6ae4326d5
Unapplied parent: e7e508907b5a2471ac61f425a03578db5035cb1b

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

applied/ubuntu/wily-devel 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 0e7199cfd93f7f95f765bba6708a71b6ae4326d5
Unapplied parent: e7e508907b5a2471ac61f425a03578db5035cb1b

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

ubuntu/wily 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: bd8cbaf768442020df46b0fcdb409da28a043a5c

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

ubuntu/vivid 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: bd8cbaf768442020df46b0fcdb409da28a043a5c

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

applied/ubuntu/wily 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 0e7199cfd93f7f95f765bba6708a71b6ae4326d5
Unapplied parent: e7e508907b5a2471ac61f425a03578db5035cb1b

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

ubuntu/wily-devel 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: bd8cbaf768442020df46b0fcdb409da28a043a5c

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

ubuntu/vivid-devel 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: bd8cbaf768442020df46b0fcdb409da28a043a5c

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

ubuntu/vivid-proposed 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-unapplied version 2.4.6-3.1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: bd8cbaf768442020df46b0fcdb409da28a043a5c

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

applied/ubuntu/vivid 2015-04-16 15:03:35 UTC 2015-04-16
Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Author: Scott Kitterman
Author Date: 2015-04-16 13:07:29 UTC

Import patches-applied version 2.4.6-3.1ubuntu1 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 0e7199cfd93f7f95f765bba6708a71b6ae4326d5
Unapplied parent: e7e508907b5a2471ac61f425a03578db5035cb1b

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/load_ppp_generic_if_needed: load ppp_generic kernel
      module if needed.
    - add EAP-TLS/MPPE support patch from Jan Just Keijser.
    - debian/control: add libssl-dev to Build-Depends for the EAP-TLS patch.
  * debian/patches/ppp-2.4.5-eaptls-mppe-0.994.patch,
    debian/patches/ppp-2.4.6-eaptls-mppe-0.997.patch: updated the EAP-TLS/MPPE
    support patch to the latest version from its upstream (also refreshed it).
  * debian/ppp.preinst: deal with the change in LSB headers start runlevels
    of pppd-dns due to dropping our changes (which are no longer necessary
    since resolvconf is installed in most systems and has been for a while);
    this should probably be kept until the next LTS.

debian/jessie 2015-04-14 10:15:27 UTC 2015-04-14
Import patches-unapplied version 2.4.6-3.1 to debian/sid

Author: Emanuele Rocca
Author Date: 2015-04-14 06:18:06 UTC

Import patches-unapplied version 2.4.6-3.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d84505b3ab21cecaf7260b04b82a566fb0d97f8e

New changelog entries:
  * Non-maintainer upload.
  * Urgency high due to fix for DoS vulnerability.
  * Fix buffer overflow in rc_mksid().
    The function converts the PID of pppd to hex to generate a pseudo-unique
    string. If the process id is bigger than 65535 (FFFF), its hex
    representation will be longer than 4 characters, resulting in a buffer
    overflow. This bug can be exploited to cause a remote DoS.
    (Closes: #782450)

applied/debian/jessie 2015-04-14 10:15:27 UTC 2015-04-14
Import patches-applied version 2.4.6-3.1 to applied/debian/sid

Author: Emanuele Rocca
Author Date: 2015-04-14 06:18:06 UTC

Import patches-applied version 2.4.6-3.1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 3773caea3b9ba3e03eab2392151543adff7eaa48
Unapplied parent: f90266ff8581a9660fe019db5459b8ffe830d211

New changelog entries:
  * Non-maintainer upload.
  * Urgency high due to fix for DoS vulnerability.
  * Fix buffer overflow in rc_mksid().
    The function converts the PID of pppd to hex to generate a pseudo-unique
    string. If the process id is bigger than 65535 (FFFF), its hex
    representation will be longer than 4 characters, resulting in a buffer
    overflow. This bug can be exploited to cause a remote DoS.
    (Closes: #782450)

ubuntu/lucid-devel 2014-12-01 15:28:25 UTC 2014-12-01
Import patches-unapplied version 2.4.5~git20081126t100229-0ubuntu3.1 to ubunt...

Author: Marc Deslauriers
Author Date: 2014-11-26 12:50:57 UTC

Import patches-unapplied version 2.4.5~git20081126t100229-0ubuntu3.1 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 87a6071eb93e798147ade26ca6e034edf5035213

New changelog entries:
  * SECURITY UPDATE: possible privilege escalation via option parsing
    - debian/patches/CVE-2014-3158.patch: fix integer overflow in
      pppd/options.c.
    - CVE-2014-3158

applied/ubuntu/lucid-security 2014-12-01 15:28:25 UTC 2014-12-01
Import patches-applied version 2.4.5~git20081126t100229-0ubuntu3.1 to applied...

Author: Marc Deslauriers
Author Date: 2014-11-26 12:50:57 UTC

Import patches-applied version 2.4.5~git20081126t100229-0ubuntu3.1 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: ac204d7e3acdd8137d83fb64d13120ddc2961253
Unapplied parent: 1b40dcd14d8aa0cbdd7ce8c8073a7365b0d5fc92

New changelog entries:
  * SECURITY UPDATE: possible privilege escalation via option parsing
    - debian/patches/CVE-2014-3158.patch: fix integer overflow in
      pppd/options.c.
    - CVE-2014-3158

applied/ubuntu/lucid-updates 2014-12-01 15:28:25 UTC 2014-12-01
Import patches-applied version 2.4.5~git20081126t100229-0ubuntu3.1 to applied...

Author: Marc Deslauriers
Author Date: 2014-11-26 12:50:57 UTC

Import patches-applied version 2.4.5~git20081126t100229-0ubuntu3.1 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: ac204d7e3acdd8137d83fb64d13120ddc2961253
Unapplied parent: 1b40dcd14d8aa0cbdd7ce8c8073a7365b0d5fc92

New changelog entries:
  * SECURITY UPDATE: possible privilege escalation via option parsing
    - debian/patches/CVE-2014-3158.patch: fix integer overflow in
      pppd/options.c.
    - CVE-2014-3158

ubuntu/lucid-updates 2014-12-01 15:28:25 UTC 2014-12-01
Import patches-unapplied version 2.4.5~git20081126t100229-0ubuntu3.1 to ubunt...

Author: Marc Deslauriers
Author Date: 2014-11-26 12:50:57 UTC

Import patches-unapplied version 2.4.5~git20081126t100229-0ubuntu3.1 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 87a6071eb93e798147ade26ca6e034edf5035213

New changelog entries:
  * SECURITY UPDATE: possible privilege escalation via option parsing
    - debian/patches/CVE-2014-3158.patch: fix integer overflow in
      pppd/options.c.
    - CVE-2014-3158

1100 of 200 results

Other repositories

Name Last Modified
lp:ubuntu/+source/ppp 2019-09-06
11 of 1 result
You can't create new repositories for ppp in Ubuntu.